Remove deploy-examples.

Moving it to automated-unit-tests
This commit is contained in:
Emily Stark
2014-06-12 19:19:13 -07:00
parent 8d1086aa74
commit eb4ad2c566
2 changed files with 0 additions and 83 deletions

View File

@@ -1,12 +0,0 @@
db.meteor_accounts_loginServiceConfiguration.insert({
"service" : "facebook",
"appId" : "137758583064594",
"secret" : "3915c1077d25e56fc6444498c6a7984d",
"_id" : "gjpDD9vwGw2tF45ww"
});
db.meteor_accounts_loginServiceConfiguration.insert({
"service" : "twitter",
"consumerKey" : "4HF4e0BhNRR7WwC9WqhRBLPRK",
"secret" : "VSzSnLU2W0dT64a9XGVqKhYo90yAu9pQIJ6McTtIRyRzVopHvT",
"_id" : "FCXK6RmNhKyhjSBQk"
});

View File

@@ -1,71 +0,0 @@
#!/bin/bash
set -e
if [ -z $1 ]; then
echo "This script is to be used in advance of running automated QA on Rainforest"
echo
echo "Usage: ./deploy-example.sh RELEASE"
exit 1
fi
RELEASE=$1
cd `dirname "$0"`/../..
METEOR_ROOT=`pwd`
LOG="$METEOR_ROOT/rainforestqa-deploy.log"
rm $LOG &> /dev/null || true
# Store the original contents in ~/.meteorsession, which contain the
# credentials for the currently logged-in user. Restore that file if
# this script exits.
METEORSESSION_RESTORE="$METEOR_ROOT/.meteorsession-restore"
cp ~/.meteorsession "$METEORSESSION_RESTORE"
function cleanup {
echo "Logs can be found at $METEOR_ROOT/rainforestqa-deploy.log"
cp "$METEORSESSION_RESTORE" ~/.meteorsession
rm "$METEORSESSION_RESTORE"
rm -rf rainforestqa-tmp
}
trap cleanup EXIT
# Now, login as rainforestqa. This way, anyone can access apps
# deployed by this script.
(echo rainforestqa; echo rainforestqa;) | meteor login
PREFIX=rainforest-test
EXAMPLES=`meteor create --list --release $RELEASE | grep '^ ' | cut -c 3-`
# This is where we'll create the example app to be deployed
rm -rf rainforestqa-tmp || true
mkdir rainforestqa-tmp
cd rainforestqa-tmp
# Deploy all example apps
for EXAMPLE in $EXAMPLES ; do
SITE=$PREFIX-$EXAMPLE.meteor.com
# `|| true` so that the script doesn't fail if the the app doesn't exist
meteor deploy -D $SITE >> $LOG 2>&1 || true
meteor create --example $EXAMPLE --release $RELEASE $EXAMPLE >> $LOG 2>&1
cd $EXAMPLE
echo -n "* Deploying $EXAMPLE to $SITE... "
meteor deploy $SITE >> $LOG 2>&1
echo DONE
cd ..
done
# Configure OAuth on parties
cd .. # meteor root
echo -n "* Configuring OAuth for $PREFIX-parties.meteor.com... "
meteor --release $RELEASE mongo $PREFIX-parties.meteor.com >> $LOG 2>&1 < scripts/admin/configure_parties.js
echo DONE
echo -n "* Testing spiderable on $PREFIX-todos.meteor.com... "
(curl "http://$PREFIX-todos.meteor.com?_escaped_fragment_=1" 2> $LOG |
(grep Lovelace >> $LOG 2>&1))
if [ $? -eq 0 ]; then
echo DONE
else
echo FAILED
exit 1
fi